------------------------------------------------------------
revno: 2838
tags: clone-5.1.33-build
committer: Georgi Kodinov <joro@sun.com>
branch nick: mysql-5.1-merge
timestamp: Fri 2009-03-13 13:13:55 +0200
message:
  Bug #43614: make distcheck failure (ndb/Makefile is made, but not subdirs of ndb)
        
  There are some recursive targets that automake generates which reference
  DIST_SUBDIRS.  It's critical, then, for such subdirs to exist even if they
  won't be built as part of SUBDIRS.
  
  During a VPATH build, it is the configure script which creates the subdirs
  (when it processes the AC_CONFIG_FILES() for each subdir's Makefile).  If
  autoconf doesn't create a subdir's Makefile, then the recursive make will fail
  when it is unable to cd into that subdir.
  
  This isn't a problem in non-VPATH builds, because the subdirs are all present
  in the source tarball.  So the problem only shows up during 'make distcheck',
  which does a VPATH build.
  
  The fix is to look, when configure is being created by autoconf, for any
  plugin subdirectories.  These are the dynamic subdirectories which need to be
  handled specially.  It's enough to tell autoconf to generate a Makefile for
  any Makefile.am found in the plugin directory - all plugin subdirectories
  using automake (i.e., listed in the plugin's DIST_SUBDIRS) will have a
  Makefile.am.
  
  This is done by calling 'find'.  This means that 'find' must be in the PATH on
  the host that is running autoconf.  'find' is NOT needed when calling
  configure, so it is not an additional dependency for the user.
  
  Finally, ha_ndbcluster.m4 had called AC_CONFIG_FILES() on all those subdir
  Makefiles, but only when the plugin was actually being built.  So it didn't
  work in the case that NDB was not being built.  All of those Makefiles have to
  be removed from this static list, since the plugin machinery is now adding
  them automatically.  autoconf fails if a file is duplicated in
  AC_CONFIG_FILES().
------------------------------------------------------------
revno: 2837
committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
branch nick: mysql-5.1-bugteam
timestamp: Fri 2009-03-13 14:25:50 +0400
message:
  compilation(embedded server) failure fix
------------------------------------------------------------
revno: 2836
committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
branch nick: mysql-5.1-bugteam
timestamp: Fri 2009-03-13 13:31:11 +0400
message:
  automerge
    ------------------------------------------------------------
    revno: 2834.1.2
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: mysql-5.1-merge
    timestamp: Fri 2009-03-13 11:16:32 +0200
    message:
      addendum to bug #36540 : fix the funcs_1 test suite.
    ------------------------------------------------------------
    revno: 2834.1.1
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: mysql-5.1-merge
    timestamp: Fri 2009-03-13 11:02:30 +0200
    message:
      merged 5.0-bugteam
    ------------------------------------------------------------
    revno: 1810.3861.2
    committer: Chad MILLER <chad@mysql.com>
    branch nick: mysql-5.0-bugteam
    timestamp: Thu 2009-03-12 13:32:13 -0400
    message:
      Merge bug fix and upstream.
------------------------------------------------------------
revno: 2835
committer: Sergey Glukhov <Sergey.Glukhov@sun.com>
branch nick: mysql-5.1-bugteam
timestamp: Fri 2009-03-13 12:51:25 +0400
message:
  Bug#42610 Dynamic plugin broken in 5.1.31
  --added ability to obtain plugin variables from my.cnf on INSTALL PLUGIN stage
  --option 'ignore-builtin-innodb' disables all InnoDB builtin plugins
    (including I_S plugins)
------------------------------------------------------------
revno: 2834
committer: Tatiana A. Nurnberg <azundris@mysql.com>
branch nick: 51-40657
timestamp: Thu 2009-03-12 19:06:26 +0100
message:
  automerge
    ------------------------------------------------------------
    revno: 2824.11.2
    committer: Chad MILLER <chad@mysql.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Thu 2009-03-12 11:57:47 -0400
    message:
      Merge fix and upstream.
    ------------------------------------------------------------
    revno: 2824.11.1
    committer: Chad MILLER <chad@mysql.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Thu 2009-03-12 11:39:40 -0400
    message:
      Merge fix for bug 42635, which is no change for 5.1 except addition of 
      test and (slightly different than 5.0) results.
    ------------------------------------------------------------
    revno: 1810.3861.1
    committer: Chad MILLER <chad@mysql.com>
    branch nick: mysql-5.0-bugteam
    timestamp: Tue 2009-03-10 12:53:43 -0400
    message:
      Merge from bugfix tree.
    ------------------------------------------------------------
    revno: 1810.3860.2
    committer: Chad MILLER <chad@mysql.com>
    branch nick: mysql-5.0-bugteam--bug42635
    timestamp: Mon 2009-03-09 16:58:47 -0400
    message:
      Bug#42635: mysqldump includes views that were excluded using the \
      	--ignore-table option
      
      mysqldump would correctly omit temporary tables for views, but would
      incorrectly still emit all CREATE VIEW statements.
      
      Backport a fix from 5.1, where we capture the names we want to emit
      views for in one pass (the placeholder tables) and in the pass where
      we actually emit the views, we don't emit a view if it wasn't in that
      list.
    ------------------------------------------------------------
    revno: 1810.3860.1
    committer: Chad MILLER <chad@mysql.com>
    branch nick: mysql-5.0-bugteam--bug42635
    timestamp: Mon 2009-03-09 16:56:46 -0400
    message:
      Fix non-DBUG return.
------------------------------------------------------------
revno: 2833
committer: Tatiana A. Nurnberg <azundris@mysql.com>
branch nick: 51-40657
timestamp: Thu 2009-03-12 17:55:10 +0100
message:
  manual merge for 40657 beautification
    ------------------------------------------------------------
    revno: 2831.1.7
    committer: Timothy Smith <timothy.smith@sun.com>
    branch nick: 51
    timestamp: Wed 2009-03-11 18:18:44 -0600
    message:
      Applying InnoDB snashot 5.1-ss4350, part 5.  Fixes
      
      Bug #43203  	Overflow from auto incrementing causes server segv
      
      Detailed revision comments:
      
      r4325 | sunny | 2009-03-02 02:28:52 +0200 (Mon, 02 Mar 2009) | 10 lines
      branches/5.1: Bug#43203: Overflow from auto incrementing causes server segv
      It was not a SIGSEGV but an assertion failure. The assertion was checking
      the invariant that *first_value passed in by MySQL doesn't contain a value
      that is greater than the max value for that type. The assertion has been
      changed to a check and if the value is greater than the max we report a
      generic AUTOINC failure.
      
      rb://93
      Approved by Heikki
    ------------------------------------------------------------
    revno: 2831.1.6
    committer: Timothy Smith <timothy.smith@sun.com>
    branch nick: 51
    timestamp: Wed 2009-03-11 18:17:53 -0600
    message:
      Applying InnoDB snashot 5.1-ss4350, part 4.  Fixes
      
      Bug #42714  	AUTO_INCREMENT errors in 5.1.31
      
      Detailed revision comments:
      
      r4287 | sunny | 2009-02-25 05:32:01 +0200 (Wed, 25 Feb 2009) | 10 lines
      branches/5.1: Fix Bug#42714 AUTO_INCREMENT errors in 5.1.31. There are two
      changes to the autoinc handling.
      
      1. To fix the immediate problem from the bug report, we must ensure that the
         value written to the table is always less than the max value stored in
         dict_table_t.
      
      2. The second related change is that according to MySQL documentation when
         the offset is greater than the increment, we should ignore the offset.
    ------------------------------------------------------------
    revno: 2831.1.5
    committer: Timothy Smith <timothy.smith@sun.com>
    branch nick: 51
    timestamp: Wed 2009-03-11 18:16:53 -0600
    message:
      Applying InnoDB snashot 5.1-ss4350, part 3.  No functional changes.
      
      Detailed revision comments:
      
      r4165 | calvin | 2009-02-12 01:34:27 +0200 (Thu, 12 Feb 2009) | 1 line
      branches/5.1: minor non-functional changes.
    ------------------------------------------------------------
    revno: 2831.1.4
    committer: Timothy Smith <timothy.smith@sun.com>
    branch nick: 51
    timestamp: Wed 2009-03-11 18:15:46 -0600
    message:
      Applying InnoDB snashot 5.1-ss4350, part 2.  Fixes
      
      Bug #42400  	InnoDB autoinc code can't handle floating-point columns
      
      Detailed revision comments:
      
      r4065 | sunny | 2009-01-29 16:01:36 +0200 (Thu, 29 Jan 2009) | 8 lines
      branches/5.1: In the last round of AUTOINC cleanup we assumed that AUTOINC
      is only defined for integer columns. This caused an assertion failure when
      we checked for the maximum value of a column type. We now calculate the
      max value for floating-point autoinc columns too.
      
      Fix Bug#42400 - InnoDB autoinc code can't handle floating-point columns
      rb://84 and Mantis issue://162
      
      r4111 | sunny | 2009-02-03 22:06:52 +0200 (Tue, 03 Feb 2009) | 2 lines
      branches/5.1: Add the ULL suffix otherwise there is an overflow.
    ------------------------------------------------------------
    revno: 2831.1.3
    committer: Timothy Smith <timothy.smith@sun.com>
    branch nick: 51
    timestamp: Wed 2009-03-11 18:14:24 -0600
    message:
      Applying InnoDB snashot 5.1-ss4350, part 1.  Fixes
      
      Bug #42279  	Race condition in btr_search_drop_page_hash_when_freed()
      
      Detailed revision comments:
      
      r4032 | marko | 2009-01-23 15:43:51 +0200 (Fri, 23 Jan 2009) | 10 lines
      branches/5.1: Merge r4031 from branches/5.0:
      
      btr_search_drop_page_hash_when_freed(): Check if buf_page_get_gen()
      returns NULL.  The page may have been evicted from the buffer pool
      between buf_page_peek_if_search_hashed() and buf_page_get_gen(),
      because the buffer pool mutex will be released between these two calls.
      (Bug #42279)
      
      rb://82 approved by Heikki Tuuri
    ------------------------------------------------------------
    revno: 2831.1.2
    committer: Timothy Smith <timothy.smith@sun.com>
    branch nick: 51
    timestamp: Wed 2009-03-11 15:43:15 -0600
    message:
      Auto-merge from upstream
        ------------------------------------------------------------
        revno: 2831.2.1
        committer: Davi Arnaut <Davi.Arnaut@Sun.COM>
        branch nick: 36540-5.1
        timestamp: Wed 2009-03-11 17:30:56 -0300
        message:
          Bug#36540: CREATE EVENT and ALTER EVENT statements fail with large server_id
          
          The problem is that creating a event could fail if the value of
          the variable server_id didn't fit in the originator column of
          the event system table. The cause is two-fold: it was possible
          to set server_id to a value outside the documented range (from
          0 to 2^32-1) and the originator column of the event table didn't
          have enough room for values in this range.
          
          The log tables (general_log and slow_log) also don't have a proper
          column type to store the server_id and having a large server_id
          value could prevent queries from being logged.
          
          The solution is to ensure that all system tables that store the
          server_id value have a proper column type (int unsigned) and that
          the variable can't be set to a value that is not within the range.
    ------------------------------------------------------------
    revno: 2831.1.1
    committer: Timothy Smith <timothy.smith@sun.com>
    branch nick: 51
    timestamp: Wed 2009-03-11 15:03:25 -0600
    message:
      Up-merge from 5.0
    ------------------------------------------------------------
    revno: 1810.3853.12
    committer: Timothy Smith <timothy.smith@sun.com>
    branch nick: 50
    timestamp: Wed 2009-03-11 14:54:57 -0600
    message:
      Bug #32625: Make test type_bit_innodb more robust
      
      Since there is more than one duplicate value in the table, when adding the
      unique index it is not deterministic which value will be reported as causing a
      problem.  Replace the reported value with '' so that it doesn't affect the
      results.
    ------------------------------------------------------------
    revno: 1810.3853.11
    committer: Timothy Smith <timothy.smith@sun.com>
    branch nick: 50
    timestamp: Wed 2009-03-11 14:52:53 -0600
    message:
      Remove outdated and now useless TODO file from sql-bench.  Requested by sales.
------------------------------------------------------------
revno: 2832
committer: Tatiana A. Nurnberg <azundris@mysql.com>
branch nick: 51-40657
timestamp: Wed 2009-03-11 23:32:53 +0100
message:
  Bug#40657: assertion with out of range variables and traditional sql_mode
  
  normalize error-messages
------------------------------------------------------------
revno: 2831
committer: Georgi Kodinov <joro@sun.com>
branch nick: B42434-5.1-bugteam
timestamp: Wed 2009-03-11 18:13:42 +0200
message:
  merge of bug 42434 to 5.1-bugteam
    ------------------------------------------------------------
    revno: 1810.3853.10
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: B42434-5.0-bugteam
    timestamp: Mon 2009-03-09 20:57:03 +0200
    message:
      Bug #42434: license of mysys MD5 implementation is not GPL-compatible
      
      Took the Xfree implementation (based on the same rewrite as the NDB one)
      and added it instead of the current implementation.
      Added a macro to make the calls to MD5 more streamlined. 
------------------------------------------------------------
revno: 2830
committer: Georgi Kodinov <joro@sun.com>
branch nick: revert-5.1-bugteam
timestamp: Wed 2009-03-11 17:19:18 +0200
message:
  Revert the push for bug #39858
------------------------------------------------------------
revno: 2829
committer: Georgi Kodinov <joro@sun.com>
branch nick: B43354-5.1-bugteam
timestamp: Wed 2009-03-11 15:04:57 +0200
message:
  merged 5.0-bugteam->5.1-bugteam
    ------------------------------------------------------------
    revno: 1810.3853.9
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: B43354-5.0-bugteam
    timestamp: Wed 2009-03-11 15:01:35 +0200
    message:
      merged 5.0-main -> 5.0-bugteam
    ------------------------------------------------------------
    revno: 1810.3859.2
    author: kent.boortz@sun.com
    committer: MySQL Build Team <build@mysql.com>
    branch nick: mysql-5.0
    timestamp: Mon 2009-03-09 19:33:01 +0100
    message:
      Raise version number after cloning 5.0.79
    ------------------------------------------------------------
    revno: 1810.3859.1
    tags: clone-5.0.79-build
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: merge-5.0-pe-stage
    timestamp: Mon 2009-03-09 15:59:22 +0200
    message:
      set the tree name to 5.0-main
------------------------------------------------------------
revno: 2828
committer: Georgi Kodinov <joro@sun.com>
branch nick: B43354-5.1-bugteam
timestamp: Wed 2009-03-11 15:03:25 +0200
message:
  merged 5.1-main -> 5.1-bugteam
    ------------------------------------------------------------
    revno: 2792.4.5
    committer: Bjorn Munch <Bjorn.Munch@sun.com>
    branch nick: main-51
    timestamp: Tue 2009-03-10 14:48:06 +0100
    message:
      merge from 5.1-mtr
    ------------------------------------------------------------
    revno: 2728.12.11
    committer: Bjorn Munch <Bjorn.Munch@sun.com>
    branch nick: work-51
    timestamp: Mon 2009-03-09 14:31:39 +0100
    message:
      Bug #43410 --skip-core-file has no effect if core file size is set
      Would not prevent mysqld from core dumping
      Passes --nocore arg to safe_process, which then sets rlimit core to 0 for child
    ------------------------------------------------------------
    revno: 2728.12.10
    committer: Bjorn Munch <Bjorn.Munch@sun.com>
    branch nick: retry-51
    timestamp: Mon 2009-03-09 12:59:34 +0100
    message:
      Bug #43148 MTR2 + PB2 should display correct number of failures
      Retried tests are reported the same as ordinary ones
      Prepend "retry-" to fail or pass for retried tests
    ------------------------------------------------------------
    revno: 2728.12.9
    committer: Daniel Fischer <df@sun.com>
    branch nick: mysql-5.1-mtr
    timestamp: Mon 2009-03-09 11:33:08 +0100
    message:
      merge from parent
        ------------------------------------------------------------
        revno: 2728.15.1
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: 5.1-mtr
        timestamp: Sat 2009-03-07 20:42:11 +0100
        message:
          merge from 5.1 main
    ------------------------------------------------------------
    revno: 2728.12.8
    committer: Daniel Fischer <df@sun.com>
    branch nick: mysql-5.1-mtr
    timestamp: Mon 2009-03-09 11:11:27 +0100
    message:
      merge 42888 to 5.1-mtr
        ------------------------------------------------------------
        revno: 2792.5.3
        committer: Daniel Fischer <df@sun.com>
        branch nick: mysql-5.1-build-42888
        timestamp: Wed 2009-02-25 15:00:17 +0100
        message:
          address review comments
        ------------------------------------------------------------
        revno: 2792.5.2
        committer: Daniel Fischer <df@sun.com>
        branch nick: mysql-5.1-build-42888
        timestamp: Tue 2009-02-24 14:58:18 +0100
        message:
          merge
            ------------------------------------------------------------
            revno: 1810.3858.2
            committer: Daniel Fischer <df@sun.com>
            branch nick: mysql-5.0-build-42888
            timestamp: Tue 2009-02-24 14:54:04 +0100
            message:
              include collections in dist
        ------------------------------------------------------------
        revno: 2792.5.1
        committer: Daniel Fischer <df@sun.com>
        branch nick: mysql-5.1-build-42888
        timestamp: Tue 2009-02-24 12:53:34 +0100
        message:
          Bug#42888 for MySQL 5.1. Add collections of test runs to make it both configurable and transparent what kinds of tests we run during integration testing. Implement filter list in mysql-test-run.pl to filter out failures of experimental test cases, using a new status code "exp-fail", so we can tell regressions ("fail") from failures of test cases that are still in development ("exp-fail").
        ------------------------------------------------------------
        revno: 1810.3858.1
        committer: Daniel Fischer <df@sun.com>
        branch nick: mysql-5.0-build-42888
        timestamp: Tue 2009-02-24 11:42:11 +0100
        message:
          bug#42888: Add collections of test runs to make it both configurable and
          transparent what kinds of tests we run during integration testing.
    ------------------------------------------------------------
    revno: 2728.12.7
    committer: Bjorn Munch <Bjorn.Munch@sun.com>
    branch nick: 5.1-mtr
    timestamp: Wed 2009-03-04 16:41:45 +0100
    message:
      merge 42797
    ------------------------------------------------------------
    revno: 2728.12.6
    committer: Bjorn Munch <Bjorn.Munch@sun.com>
    branch nick: parallel-51
    timestamp: Wed 2009-03-04 12:12:57 +0100
    message:
      Bug #42986 MTR2 should not allow 0 as a value for --parallel
      Add sanity check that $opt_parallel > 0
    ------------------------------------------------------------
    revno: 2728.12.5
    committer: Bjorn Munch <Bjorn.Munch@sun.com>
    branch nick: ports-51
    timestamp: Wed 2009-03-04 11:34:47 +0100
    message:
      Bug #43132 Pusbbuild 2 host sol10 sparc64 max is not running tests due to port unavailble
      MTR gives up if wanted port not available
      Try next range if set to 'auto'
      Also, use next number for additional threads if explicitly set
    ------------------------------------------------------------
    revno: 2728.12.4
    committer: Bjorn Munch <Bjorn.Munch@sun.com>
    branch nick: 40978-51
    timestamp: Mon 2009-03-02 13:48:35 +0100
    message:
      Bug #40978 Error log gets truncated during testsuite, prevents debugging
      Error log gets truncated when mysqld is restarted by MTR
    ------------------------------------------------------------
    revno: 2728.12.3
    committer: Bjorn Munch <Bjorn.Munch@sun.com>
    branch nick: 43256-51
    timestamp: Fri 2009-02-27 13:07:01 +0100
    message:
      Bug #43256 Bug#39026 got re-surrected
      Problems with use of share/mysql dir
      Explicitly look for "english" language file
    ------------------------------------------------------------
    revno: 2728.12.2
    committer: Magnus Svensson <msvensson@mysql.com>
    branch nick: 5.1-mtr
    timestamp: Thu 2009-02-26 11:22:13 +0100
    message:
      Merge
        ------------------------------------------------------------
        revno: 2728.13.2
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: unlink-51
        timestamp: Wed 2009-02-25 11:42:34 +0100
        message:
          merge
            ------------------------------------------------------------
            revno: 2728.14.1
            committer: Bjorn Munch <Bjorn.Munch@sun.com>
            branch nick: 5.1-mtr
            timestamp: Wed 2009-02-25 11:29:50 +0100
            message:
              fixing bzr tree name
        ------------------------------------------------------------
        revno: 2728.13.1
        committer: Bjorn Munch <Bjorn.Munch@sun.com>
        branch nick: unlink-51
        timestamp: Wed 2009-02-25 10:32:13 +0100
        message:
          Bug #43172 MTR leaves test files in /tmp after check_socket_path_length finds path too long
          Faulty logic in cleanup
          Put test file into tmpdir, cleanup by removing tmpdir
    ------------------------------------------------------------
    revno: 2728.12.1
    committer: Magnus Svensson <msvensson@mysql.com>
    branch nick: 5.1-mtr
    timestamp: Mon 2009-02-23 15:52:23 +0100
    message:
      Bug#43112 mtr.pl --embedded fails to stop cluster processes
------------------------------------------------------------
revno: 2827
committer: Georgi Kodinov <joro@sun.com>
branch nick: B43354-5.1-bugteam
timestamp: Wed 2009-03-11 14:29:59 +0200
message:
  merged bug 43354 to 5.1-bugteam
    ------------------------------------------------------------
    revno: 1810.3853.8
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: B43354-5.0-bugteam
    timestamp: Wed 2009-03-11 14:10:44 +0200
    message:
      Bug #43354: Use key hint can crash server in explain extended query
            
      The copy of the original arguments of a aggregate function was not
      initialized until after fix_fields().
      Sometimes (e.g. when there's an error processing the statement)
      the print() can be called with no corresponding fix_fields() call.
            
      Fixed by adding a check if the Item is fixed before using the arguments
      copy.
------------------------------------------------------------
revno: 2826
committer: Leonard Zhou <zhou.li@sun.com>
branch nick: bug39858
timestamp: Wed 2009-03-11 14:10:50 +0800
message:
  Merge
    ------------------------------------------------------------
    revno: 2824.1.21
    committer: Matthias Leich <Matthias.Leich@sun.com>
    branch nick: mysql-5.1-bugteam-42003-push
    timestamp: Tue 2009-03-10 18:27:33 +0100
    message:
      Merge 5.0 -> 5.1, no conflicts, no modified files
        ------------------------------------------------------------
        revno: 1810.3853.7
        committer: Matthias Leich <Matthias.Leich@sun.com>
        branch nick: mysql-5.0-bugteam-42003-push
        timestamp: Tue 2009-03-10 18:21:35 +0100
        message:
          Merge of fix into actual tree
    ------------------------------------------------------------
    revno: 2824.1.20
    committer: Matthias Leich <Matthias.Leich@sun.com>
    branch nick: mysql-5.1-bugteam-42003-push
    timestamp: Tue 2009-03-10 16:54:24 +0100
    message:
      Merge into actual tree
        ------------------------------------------------------------
        revno: 2824.10.1
        committer: Matthias Leich <Matthias.Leich@sun.com>
        branch nick: mysql-5.1-bugteam-42003-2
        timestamp: Fri 2009-03-06 15:56:17 +0100
        message:
          Merge 5.0 -> 5.1 of fix for Bug#42003 and Bug#43114 
        ------------------------------------------------------------
        revno: 1810.3857.1
        committer: Matthias Leich <Matthias.Leich@sun.com>
        branch nick: mysql-5.0-bugteam-42003-2
        timestamp: Thu 2009-03-05 14:35:03 +0100
        message:
          Merge of fix for Bug#42003 and Bug#43114 into more actual GCA tree
          modifications according to the reviews are included
        ------------------------------------------------------------
        revno: 1810.3856.1
        committer: Matthias Leich <Matthias.Leich@sun.com>
        branch nick: mysql-5.0-bugteam-42003-1
        timestamp: Tue 2009-03-03 21:34:18 +0100
        message:
          Last slice of fix for Bug#42003 tests missing the disconnect of connections <> default
          + Fix for Bug#43114 wait_until_count_sessions too restrictive, random PB failures
          + Removal of a lot of other weaknesses found
          + modifications according to review
    ------------------------------------------------------------
    revno: 2824.1.19
    committer: Sergey Vojtovich <svoj@sun.com>
    branch nick: mysql-5.1-bugteam-push
    timestamp: Tue 2009-03-10 16:27:53 +0400
    message:
      Merge 5.1-ibmdb2isee to 5.1-bugteam.
        ------------------------------------------------------------
        revno: 2728.9.9
        committer: Timothy Smith <timothy.smith@sun.com>
        branch nick: 51
        timestamp: Mon 2009-03-09 15:20:14 -0600
        message:
          Import the ibmdb2i-ga4-src snapshot from IBM
        ------------------------------------------------------------
        revno: 2728.9.8
        committer: Timothy Smith <timothy.smith@sun.com>
        branch nick: 51
        timestamp: Sun 2009-02-15 03:18:30 +0100
        message:
          Add the IBM DB2 for i storage engine.
          
          Modify plugins.m4 configuration framework so that plugins which are
          not built still get added to the source distribution during make dist.
          This came up now because we can only build ibmdb2i on i5/OS, and we
          can't bootstrap our source dist on that platform.  The solution is to
          specify DIST_SUBDIRS containing all plugins, separate from SUBDIRS
          which contains the plugins which are actually built.
          
          This ibmdb2i code is from the ibmdb2i-ga3-src.zip file, with a patch
          to plug.in to disable the plugin if the PASE environment isn't available.
    ------------------------------------------------------------
    revno: 2824.1.18
    committer: Patrick Crews <patrick.crews@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Mon 2009-03-09 20:47:58 -0400
    message:
      merge
        ------------------------------------------------------------
        revno: 2824.9.1
        committer: Tatiana A. Nurnberg <azundris@mysql.com>
        branch nick: 51-1
        timestamp: Mon 2009-03-09 15:57:34 +0100
        message:
          automerge
        ------------------------------------------------------------
        revno: 2822.6.4
        committer: Tatiana A. Nurnberg <azundris@mysql.com>
        branch nick: 51-40657_
        timestamp: Mon 2009-03-09 15:26:53 +0100
        message:
          Bug#40657: assertion with out of range variables and traditional sql_mode
          
          test-fixes for 32-bit
    ------------------------------------------------------------
    revno: 2824.1.17
    committer: Patrick Crews <patrick.crews@sun.com>
    branch nick: mysql-5.1-bugteam
    timestamp: Mon 2009-03-09 13:45:40 -0400
    message:
      merge 5.0 -> 5.1
        ------------------------------------------------------------
        revno: 1810.3853.6
        committer: Patrick Crews <patrick.crews@sun.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Mon 2009-03-09 11:32:07 -0400
        message:
          Fix of failing funcs_1 tests.
          Changes are due to changes in precision.
          Re-record of .result files to account for new server precision.
    ------------------------------------------------------------
    revno: 2824.1.16
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: merge-5.1-pe-stage
    timestamp: Mon 2009-03-09 13:15:46 +0200
    message:
      merge 5.0-pe-stage -> 5.1-pe-stage
        ------------------------------------------------------------
        revno: 1810.3853.5
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.0-pe-stage
        timestamp: Mon 2009-03-09 12:49:18 +0200
        message:
          fixed a typo
        ------------------------------------------------------------
        revno: 1810.3853.4
        committer: Georgi Kodinov <joro@sun.com>
        branch nick: merge-5.0-pe-stage
        timestamp: Mon 2009-03-09 12:22:52 +0200
        message:
          fixed a win32 compile warning
        ------------------------------------------------------------
        revno: 1810.3853.3
        committer: He Zhenxing <zhenxing.he@sun.com>
        branch nick: 5.0-bugteam
        timestamp: Mon 2009-03-09 16:44:18 +0800
        message:
          Auto merge
        ------------------------------------------------------------
        revno: 1810.3855.3
        committer: Kristofer Pettersson <kristofer.pettersson@sun.com>
        branch nick: mysql-5.0-bugteam
        timestamp: Fri 2009-03-06 11:49:39 +0100
        message:
          Manual merge
    ------------------------------------------------------------
    revno: 2824.1.15
    committer: Georgi Kodinov <joro@sun.com>
    branch nick: merge-5.1-pe-stage
    timestamp: Mon 2009-03-09 12:52:08 +0200
    message:
      merged 5.1-main -> 5.1-pe-stage
        ------------------------------------------------------------
        revno: 2792.4.4
        author: kent.boortz@sun.com
        committer: MySQL Build Team <build@mysql.com>
        branch nick: mysql-5.1-build
        timestamp: Mon 2009-03-02 17:47:03 +0100
        message:
          Merge from mysql-5.1.32-release
            ------------------------------------------------------------
            revno: 2728.11.6
            tags: mysql-5.1.32
            author: kent.boortz@sun.com
            committer: MySQL Build Team <build@mysql.com>
            branch nick: mysql-5.1.32-release
            timestamp: Sat 2009-02-14 01:43:21 +0100
            message:
              Disabled libedit use of '__weak_reference' on FreeBSD, doesn't compile
